Subject: Getting "Automatic merge failed" although all conflicts were resolved using previous resolution

From: Sebastian Schuberth <[email-masked]>
Date: Sun, 14 Apr 2013 14:39:32 +0200

Hi,

I just realized Git merge still outputs

    Automatic merge failed; fix conflicts and then commit the result.

although all of my conflicts were resolved using a previously recorded resolution. I think it's OK for Git to not just do the merge commit in that case to sort of force a review of the resolution, but still I think the message is misleading. It should probably rather say something like

    All conflicts resolved using previous resolutions; please review and then commit the result.

Opinions?

-- 
Sebastian Schuberth